%define name 	kanyremote
%define version 5.12
%define release %mkrel 1

Summary: 	KDE frontend for anyRemote
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPLv2+
URL: 	 	http://anyremote.sourceforge.net/
Source: 	%{name}-%{version}.tar.xz
Group: 	 	Graphical desktop/KDE4
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildarch: 	noarch
Requires: 	python-kde4
Requires: 	python-pybluez
Requires: 	anyremote >= 5.1 
Requires: 	bluez-utils

%description
kAnyRemote package is KDE GUI frontend for anyRemote 
(http://anyremote.sourceforge.net/). The overall goal of this project is to 
provide remote control service on Linux through Bluetooth, InfraRed, Wi-Fi 
or TCP/IP connection.

%prep
%setup -q

%build
%configure2_5x --build=%{_host}

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Internet-RemoteAccess" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 data/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 data/%{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 data/%{name}.png %{buildroot}%_liconsdir/%{name}.png
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


%find_lang %{name}

rm -rf %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README AUTHORS
%{_bindir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Fri Mar 18 2011 Texstar <texstar at gmail.com> 5.12-1pclos2011
- 5.12

* Mon Feb 21 2011 Texstar <texstar at gmail.com> 5.11-4pclos2011
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 5.11-3plclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 5.11-2pclos2010
- rebuild

* Fri Jan 22 2010 slick50 <lxgator@gmail.com> 5.11-1pclos2010
- initial pkg
